Bug 929083 - Review Request: python-peewee - A small, expressive orm
Summary: Review Request: python-peewee - A small, expressive orm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-29 08:33 UTC by Matej Stuchlik
Modified: 2016-02-01 02:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-20 20:09:43 UTC
Type: ---
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matej Stuchlik 2013-03-29 08:33:44 UTC
Spec URL: http://mstuchli.fedorapeople.org/python-peewee.spec
SRPM URL: http://mstuchli.fedorapeople.org/python-peewee-2.0.9-1.fc18.src.rpm
Description: A small, expressive ORM written in python with built-in support for sqlite, mysql and postgresql and special extensions like hstore. For flask integration, including an admin interface and RESTful API, check out flask-peewee.

Fedora Account System Username: mstuchli

Comment 1 Bohuslav "Slavek" Kabrda 2013-03-29 08:38:18 UTC
I'll take this for a review.

Comment 2 Bohuslav "Slavek" Kabrda 2013-03-29 09:24:21 UTC
- According to the Python packaging guidelines, the preferred way is to have BR: python2-devel, not python-devel [1].
- Also, python-setuptools-devel is a historic thing, please use just python-setuptools.
- IMO the binary in %{_bindir} shouldn't be suffixed with ".py". It is customary to strip that.


[1] https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

Comment 4 Bohuslav "Slavek" Kabrda 2013-04-02 10:16:35 UTC
Looks good now, approved.

Comment 5 Matej Stuchlik 2013-04-02 10:30:38 UTC
New Package SCM Request
=======================
Package Name: python-peewee
Short Description: A small, expressive orm
Owners: mstuchli
Branches: f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-02 12:29:11 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-03 06:32:51 UTC
python-peewee-2.0.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-peewee-2.0.9-2.fc19

Comment 8 Fedora Update System 2013-04-03 16:12:53 UTC
python-peewee-2.0.9-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-20 20:09:45 UTC
python-peewee-2.0.9-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Matej Stuchlik 2013-09-13 09:47:20 UTC
Package Change Request
======================
Package Name: python-peewee
New Branches: el6
Owners: mstuchli

Comment 11 Gwyn Ciesla 2013-09-13 13:13:18 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.